Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.rgpext
Class EPPRgpExtInfData

    java.lang.Object
      com.verisign.epp.codec.rgpext.EPPRgpExtInfData

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRgpExtInfData

extends java.lang.Object
implements EPPCodecComponent

The EPPRgpExtInfData is the EPPCodecComponent that knows how to encode and decode RGP infData elements from/to XML and object instance.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` Element tag name for the infData

Constructor Summary
`EPPRgpExtInfData()` Instantiate a new instance of EPPRgpExtInfData
`EPPRgpExtInfData(EPPRgpExtStatus aStatus)` Creates a new instance of the `EPPRgpExtInfData` with a status element.
`EPPRgpExtInfData(java.util.Vector aStatuses)` Creates a new instance of the `EPPRgpExtInfData` with a `Vector` of status elements.

Method Summary
`void` | `addStatus(EPPRgpExtStatus aStatus)` Adds the status of type `EPPRgpExtStatus` to the `Vector` of statuses.
`java.lang.Object` | `clone()` Clone `EPPRgpExtInfData`.
`void` | `decode(org.w3c.dom.Element aElement)` Populate the data of this instance with the data stored in the given Element of the DOM tree
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Append all data from this RGP inf data to the given DOM Document
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRgpExtInfData` compare.
`java.lang.String` | `getNamespace()` The namespace associated with this RGP inf data.
`EPPRgpExtStatus` | `getStatus()` Gets the first status if there is one; `null` otherwise.
`java.util.Vector` | `getStatuses()` Gets the `Vector` of statuses of type `EPPRgpExtStatus`.
`void` | `setStatus(EPPRgpExtStatus aStatus)` Deprecated. `addStatus(EPPRgpExtStatus)`
`void` | `setStatuses(java.util.Vector aStatuses)` Sets the `Vector` of statuses of type `EPPRgpExtStatus`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Element tag name for the infData

  See Also:
    Constant Field Values

Constructor Detail

### EPPRgpExtInfData

    public EPPRgpExtInfData()

  Instantiate a new instance of EPPRgpExtInfData

### EPPRgpExtInfData

    public EPPRgpExtInfData(EPPRgpExtStatus aStatus)

  Creates a new instance of the `EPPRgpExtInfData` with a status element.

  Parameters:
    `aStatus` - Associated status element.

### EPPRgpExtInfData

    public EPPRgpExtInfData(java.util.Vector aStatuses)

  Creates a new instance of the `EPPRgpExtInfData` with a `Vector` of status elements.

  Parameters:
    `aStatuses` - `Vector` of `EPPRgpExtStatus` status elements. Only a non-`null` value will be used.

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  The namespace associated with this RGP inf data.

  Returns:
    The namespace associated with RGP component

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Append all data from this RGP inf data to the given DOM Document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - The DOM Document to append data to
  Returns:
    Encoded DOM `Element`
  Throws:
    `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Populate the data of this instance with the data stored in the given Element of the DOM tree

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - The root element of the report fragment of XML
  Throws:
    `EPPDecodeException` - Thrown if any errors occur during decoding.

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPRgpExtInfData` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPRgpExtInfData` instance to compare with
  Returns:
    true if equal false otherwise

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPRgpExtInfData`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPRgpExtInfData`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### getStatus

    public EPPRgpExtStatus getStatus()

  Gets the first status if there is one; `null` otherwise.

  Returns:
    First status of type `EPPRgpExtStatus` if set;`null` otherwise.

### setStatus

    public void setStatus(EPPRgpExtStatus aStatus)

  Deprecated. `addStatus(EPPRgpExtStatus)`

  Adds the status of type `EPPRgpExtStatus` to the `Vector` of statuses.

### addStatus

    public void addStatus(EPPRgpExtStatus aStatus)

  Adds the status of type `EPPRgpExtStatus` to the `Vector` of statuses.

  Parameters:
    `aStatus` - Status to add

### getStatuses

    public java.util.Vector getStatuses()

  Gets the `Vector` of statuses of type `EPPRgpExtStatus`.

  Returns:
    Non-`null` `Vector` of `EPPRgpExtStatus` instances.

### setStatuses

    public void setStatuses(java.util.Vector aStatuses)

  Sets the `Vector` of statuses of type `EPPRgpExtStatus`.

  Parameters:
    `aStatuses` - Statuses to use. If `null` the parameter will be ignored.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.